iSight webcam on Macbook Pro does not work

Bug #544469 reported by Antons Rebguns on 2010-03-22
190
This bug affects 37 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

The integrated iSight webcam in Macbook Pro 5,3 that used to work fine in Karmic no longer works in Lucid. The /dev/video0 device is not created at all, although dmesg reports that iSight uvcvideo device is there:

[ 8.981596] uvcvideo: Found UVC 1.00 device Built-in iSight (05ac:8507)
[ 8.981603] uvcvideo: No valid video chain found.

ProblemType: Bug
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: NVidia [HDA NVidia], device 0: Cirrus Analog [Cirrus Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: anton 1500 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xe7480000 irq 21'
   Mixer name : 'Cirrus Logic CS4206'
   Components : 'HDA:10134206,106b4b00,00100301'
   Controls : 16
   Simple ctrls : 9
Date: Mon Mar 22 13:10:56 2010
DistroRelease: Ubuntu 10.04
Frequency: Once a day.
HibernationDevice: RESUME=UUID=d7ecb112-137b-4464-92c7-15c14a286075
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
MachineType: Apple Inc. MacBookPro5,3
NonfreeKernelModules: wl nvidia
Package: linux-image-2.6.32-16-generic 2.6.32-16.25
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.32-16-generic root=UUID=dea453af-e474-4ffc-b273-452bf4dbac8d ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
Regression: Yes
RelatedPackageVersions: linux-firmware 1.33
Reproducible: No
RfKill:
 0: hci0: Bluetooth
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
TestedUpstream: No
Uname: Linux 2.6.32-16-generic x86_64
dmi.bios.date: 06/15/09
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBP53.88Z.00AC.B03.0906151647
dmi.board.asset.tag: Base Board Asset Tag#
dmi.board.name: Mac-F22587C8
dmi.board.vendor: Apple Inc.
dmi.chassis.asset.tag: Asset Tag#
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F22587C8
dmi.modalias: dmi:bvnAppleInc.:bvrMBP53.88Z.00AC.B03.0906151647:bd06/15/09:svnAppleInc.:pnMacBookPro5,3:pvr1.0:rvnAppleInc.:rnMac-F22587C8:rvr:cvnAppleInc.:ct10:cvrMac-F22587C8:
dmi.product.name: MacBookPro5,3
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.

Antons Rebguns (arebgun) wrote :
Surbhi Palande (csurbhi) on 2010-03-25
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Slick (slick666) wrote :

for 9.04 I had to add the firmware from OSX in order to get the device to function properly. Did you add this firmware yet?

On 03/27/2010 12:36 PM, Slick wrote:
> for 9.04 I had to add the firmware from OSX in order to get the device
> to function properly. Did you add this firmware yet?
>

I just tried to install firmware from OSX driver but it still does not work. Also I did not have to do anything to get
the camera working on previous version of Ubuntu.

Keng-Yu Lin (lexical) wrote :

According to http://boxietuts.com/tutorials/hardware/getting-isight-to-work-on-ubuntu/, it seems to work after removing isight-firmware-tools completely and re-install again.

ridgerunner7 (ridgerunner7) wrote :

after I installed gstreamer0.10-plugins-bad mine started working. I figured this out by comparing it to my karmic install. That seems a strange dependence.

However, even on karmic isight apparently randomly fails to work. I haven't isolated it yet. Except that restarting seems to "fix" it.

Michael Milligan (milli) wrote :

See bug 544740. There is an upstream fix for it, commit 68f194e0.

The iSight camera *sometimes* reports it's format as below, note the -8000- in the format string instead of -0000- as it should be.

Mar 22 18:52:27 localhost kernel: [ 9417.193438] uvcvideo: Unknown video format 32595559-0000-0010-8000-000000359b71
Mar 22 18:52:27 localhost kernel: [ 9417.193443] uvcvideo: Found UVC 1.00 device Built-in iSight (05ac:8507)

proycon (proycon-anaproy) wrote :

I have this very same problem on the final release of 10.04 Lucid, Macbook Pro 5,3. And I can also confirm that on karmic it generally worked, but sometimes randomly failed, restarting indeed seemed to fix it. But now things appear completely broken.

I did not previously have isight-firmware-tools installed, but I installed it in an attempt to fix things, and later also followed the remove-install procedure on
http://boxietuts.com/tutorials/hardware/getting-isight-to-work-on-ubuntu/ . All no effect.

I get the same message as reported in the first post:

[ 8.981596] uvcvideo: Found UVC 1.00 device Built-in iSight (05ac:8507)
[ 8.981603] uvcvideo: No valid video chain found.

I do *not* see the "unknown video" message as reported above.That would strike me as a different issue?

I attach a verbose log of modprobe uvcvideo trace=15.

wvengen (wvengen) wrote :

I also tried the solution at https://help.ubuntu.com/community/MacBookPro5-3/Karmic#iSight to compile a newer uvcvideo module (v4l-dvb-9e4320312be6). This didn't work either.

hewbert (josh-hewbert) wrote :

I don't think this is limited to a MacBook Pro. I'm having the same issue on a 24" iMac:

Bus 001 Device 002: ID 05ac:8502 Apple, Inc. Built-in iSight
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 239 Miscellaneous Device
  bDeviceSubClass 2 ?
  bDeviceProtocol 1 Interface Association
  bMaxPacketSize0 64
  idVendor 0x05ac Apple, Inc.
  idProduct 0x8502 Built-in iSight
  bcdDevice 2.19
  iManufacturer 1
  iProduct 2
  iSerial 3
  bNumConfigurations 1

pierrelux (pierrelucbacon) wrote :

I can support @hewbert in that claim. I'm running 10.04 on the Macbook Pro Penryn (Early 2008) and it used to work flawlessly, out of the box.

nicolasfdezv (nicolasfdezv) wrote :

Seems to be a problem with the file /etc/udev/rules.d/isight.rules from the package isight-firmware-tools. During boot, my computer complains:

udevd[362]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/isight.rules:1

The idVendor:idProduct in that file (05ac:8300) does not match those of my isight (05ac:8501). When I execute (as root)

/usr/lib/udev/ift-load --firmware /lib/firmware/isight.fw

The firmware is loaded and the device /dev/video0 is created.

Reece (reece) wrote :

Same thing here on a MBP 5,3... worked throughout Lucid alpha, beta, rc, and early release, but began not working after an update/upgrade several days ago. Nothing in recent upgrades stands out as suspicious. Unlike others, mine is consistently not recognized (i.e., not sporadic). Around the same time, sound started working; I suspect this is thanks to an nvidia driver upgrade and unrelated to the isight problems.

Reece (reece) wrote :

Never say never. My camera now works. The only action I took was to reset the PVRAM, which I've been doing periodically when my battery isn't recognized. I wonder if the sporadic non-recognition of the battery and webcam are related. To reset, PVRAM: 1) shutdown; 2) hold option/alt, cmd, r, p, then hold power (still holding keys), wait for the first gong, then the second gong, then release. I've not observed any downside to doing this. It also fixes the long initial boot delay when booting using refit.

tenuki (bill-wickstead) wrote :

I've got same problem on MBP 5,4 with 10.04 without isight-firmware-tools installed (sporadic detection of camera). Just tried Reece's solution of flushing PVRAM - unfortunately no change. But then, it hasn't cleared up the long refit boot time either...

Etienne Perot (etienneperot) wrote :

Same problem here, same dmesg output.

Peter Lewis (pllewis72) wrote :

Confirmed in MBP 5,3 also.

Peter Lewis (pllewis72) wrote :
Download full text (4.4 KiB)

Additional information. I tried adding trace=15 to the modprobe but still have the same issue.

[64935.165080] uvcvideo: Adding mapping Brightness to control 00000000-0000-0000-0000-000000000101/2.
[64935.165083] uvcvideo: Adding mapping Contrast to control 00000000-0000-0000-0000-000000000101/3.
[64935.165086] uvcvideo: Adding mapping Hue to control 00000000-0000-0000-0000-000000000101/6.
[64935.165089] uvcvideo: Adding mapping Saturation to control 00000000-0000-0000-0000-000000000101/7.
[64935.165097] uvcvideo: Adding mapping Sharpness to control 00000000-0000-0000-0000-000000000101/8.
[64935.165097] uvcvideo: Adding mapping Gamma to control 00000000-0000-0000-0000-000000000101/9.
[64935.165097] uvcvideo: Adding mapping Backlight Compensation to control 00000000-0000-0000-0000-000000000101/1.
[64935.165100] uvcvideo: Adding mapping Gain to control 00000000-0000-0000-0000-000000000101/4.
[64935.165102] uvcvideo: Adding mapping Power Line Frequency to control 00000000-0000-0000-0000-000000000101/5.
[64935.165105] uvcvideo: Adding mapping Hue, Auto to control 00000000-0000-0000-0000-000000000101/16.
[64935.165109] uvcvideo: Adding mapping Exposure, Auto to control 00000000-0000-0000-0000-000000000001/2.
[64935.165112] uvcvideo: Adding mapping Exposure, Auto Priority to control 00000000-0000-0000-0000-000000000001/3.
[64935.165240] uvcvideo: Adding mapping Exposure (Absolute) to control 00000000-0000-0000-0000-000000000001/4.
[64935.165243] uvcvideo: Adding mapping White Balance Temperature, Auto to control 00000000-0000-0000-0000-000000000101/11.
[64935.165246] uvcvideo: Adding mapping White Balance Temperature to control 00000000-0000-0000-0000-000000000101/10.
[64935.165250] uvcvideo: Adding mapping White Balance Component, Auto to control 00000000-0000-0000-0000-000000000101/13.
[64935.165253] uvcvideo: Adding mapping White Balance Blue Component to control 00000000-0000-0000-0000-000000000101/12.
[64935.165255] uvcvideo: Adding mapping White Balance Red Component to control 00000000-0000-0000-0000-000000000101/12.
[64935.165259] uvcvideo: Adding mapping Focus (absolute) to control 00000000-0000-0000-0000-000000000001/6.
[64935.165263] uvcvideo: Adding mapping Focus, Auto to control 00000000-0000-0000-0000-000000000001/8.
[64935.165266] uvcvideo: Adding mapping Zoom, Absolute to control 00000000-0000-0000-0000-000000000001/11.
[64935.165270] uvcvideo: Adding mapping Zoom, Continuous to control 00000000-0000-0000-0000-000000000001/12.
[64935.165274] uvcvideo: Adding mapping Privacy to control 00000000-0000-0000-0000-000000000001/17.
[64935.165296] uvcvideo: Probing generic UVC device 4
[64935.165306] uvcvideo: Found format YUV 4:2:2 (YUYV).
[64935.165308] uvcvideo: - 160x120 (30.0 fps)
[64935.165310] uvcvideo: - 176x144 (30.0 fps)
[64935.165311] uvcvideo: - 320x240 (30.0 fps)
[64935.165313] uvcvideo: - 352x288 (30.0 fps)
[64935.165314] uvcvideo: - 640x480 (30.0 fps)
[64935.165318] uvcvideo: Found a Status endpoint (addr 81).
[64935.165320] uvcvideo: Found UVC 1.00 device Built-in iSight (05ac:8507)
[64935.165323] uvcvideo: Added control 00000000-0000-0000-0000-000000000101/2 to device 4 entity 3
[64935.165326] uvcvideo: Added control 00000...

Read more...

pierrelux (pierrelucbacon) wrote :

It seems that it's not usable anymore under Mac OS (dual boot). So I am faced with the following question : is it a matter of coincidence that my camera so happened to have stopped working (hardware defect), or would it be caused by a software/firmware issue induced by 10.04.

Etienne Perot (etienneperot) wrote :

It is a software issue. I can use the webcam in OS X, and if I do and then reboot into Kubuntu without poweroff, the firmware stays loaded and the webcam works.

Peter Lewis (pllewis72) wrote :

From but #544740 - duplicate of this bug.

Jeremy Foshee wrote on 2010-04-29: #4

Hi Michael,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

ridgerunner7 (ridgerunner7) wrote :

Seems there's 2 issues here:
1) sometimes occurring independently
May 26 08:41:05 ridgerunner kernel: [ 14.262710] uvcvideo: Unknown video format 32595559-0000-0010-8000-000000359b71
May 26 08:41:05 ridgerunner kernel: [ 14.262722] uvcvideo: Found UVC 1.00 device Built-in iSight (05ac:8507)
May 26 08:41:05 ridgerunner kernel: [ 14.262729] uvcvideo: No streaming interface found for terminal 2.
May 26 08:41:05 ridgerunner kernel: [ 14.262849] usbcore: registered new interface driver uvcvideo

May 29 08:04:16 ridgerunner kernel: [ 12.893912] uvcvideo: Found UVC 1.00 device Built-in iSight (05ac:8507)
May 29 08:04:16 ridgerunner kernel: [ 12.893919] uvcvideo: No valid video chain found.
May 29 08:04:16 ridgerunner kernel: [ 12.893939] usbcore: registered new interface driver uvcvideo

2) sometimes they coincide
May 24 08:48:33 ridgerunner kernel: [ 12.729848] uvcvideo: Unknown video format 32595559-0000-0010-8000-000000389b71
May 24 08:48:33 ridgerunner kernel: [ 12.729859] uvcvideo: Found UVC 1.00 device Built-in iSight (05ac:8507)
May 24 08:48:33 ridgerunner kernel: [ 12.729865] uvcvideo: No valid video chain found.
May 24 08:48:33 ridgerunner kernel: [ 12.729892] usbcore: registered new interface driver uvcvideo

#1 the video format issue (see bug 544740 listed as a dup of this bug but I think is not)
#2 no valid video chain (this bug and by far the most prevalent)

Both problems seem to be fixed upstream: MacBookPro5,5 with 2.6.34 kernel (note Cheese seg faults so use something else)

ridgerunner7 (ridgerunner7) wrote :

Grr! Nevermind. First few reboots were just lucky. I've since seen both problems with kernel 2.6.34

tenuki (bill-wickstead) wrote :

I think ridgerunner's analysis of this as 2 bugs is spot-on.

Can I just confirm that none of the following has fixed this for me:

- installing latest isight-firmware-tools
- completely purging isight-firmware-tools
- flushing PVRAM
- compiling new uvcvideo
- installing upstream kernel

Any other ideas?

@nicolasfdezv

I experience exactly the same problem, what is more, it seems that ift-load has the 05ac:8300 ID hard-coded into it, so even changing the udev-rule doesn't change anything (my isight webcam registers as 05ac:8507)

reloading uvcvideo gives me the already known output:

[ 247.745593] uvcvideo: Found UVC 1.00 device Built-in iSight (05ac:8507)
[ 247.745605] uvcvideo: No valid video chain found.
[ 247.745643] usbcore: registered new interface driver uvcvideo

and trying to manually load the firmware

sudo /usr/lib/udev/ift-load --firmware /lib/firmware/isight.fw

gives the following output:

ift-load: USB device 0x05AC:0x8300 not found
ift-load: No iSight found

it seems the loader always looks for the device with the ID 0x05AC:0x8300, whereas the actual ID seems to vary. does this make any sense?

this would also explain why the webcam works after rebooting from OSX - the firmware is already loaded so ift-load isn't needed.

i hope this helps, thanks.

pierrelux (pierrelucbacon) wrote :

With no intervention or whatsoever on my behalf, my iSight started to work again as of today. It might be related to an update that was pushed yesterday. Running kernel 2.6.32-22-generic #33-Ubuntu SMP Wed Apr 28 13:28:05 UTC 2010 x86_64 GNU/Linux

pierrelux (pierrelucbacon) wrote :

That was misleading. With no reboot in between, the camera stopped working for no reason. I can't pinpoint the problem in dmesg but there might be relevant data in :

"[31242.704398] input: Built-in iSight as /devices/pci0000:00/0000:00:1d.7/usb2/2-4/2-4:1.0/input/input25
[33090.745034] test[18954]: segfault at 50 ip 00007f506f4d8844 sp 00007fff56372530 error 4 in libspeexdsp.so.1.5.0[7f506f4d6000+12000]
[33444.463170] usb 2-4: USB disconnect, address 9
[33445.710183] usb 6-2: new full speed USB device using uhci_hcd and address 23
[33445.770148] hub 6-0:1.0: unable to enumerate USB device on port 2
[33446.070409] usb 6-2: new full speed USB device using uhci_hcd and address 24
[33446.200091] usb 6-2: device descriptor read/64, error -71
[33446.370156] hub 6-0:1.0: unable to enumerate USB device on port 2
[33446.820086] usb 6-2: new full speed USB device using uhci_hcd and address 25
[33447.010058] usb 6-2: device descriptor read/64, error -71
[33447.268145] usb 6-2: not running at top speed; connect to a high speed hub
[33447.295485] usb 6-2: configuration #1 chosen from 1 choice
"

description: updated
Fabio Isgrò (dr.gogeta86) wrote :

It's also not work with other distributions too like sabayon 5.3 ( I've tested only 64bit version )

Antonio Barbuzzi (antoniob82) wrote :

I still have the same problems with my iSight: sometimes it works properly, sometimes not, and the annoying message "uvcvideo: No valid video chain found" appears in the logs.. Any news?

Albert Cardona (cardona) wrote :

I confirm this bug in macbookpro 5,5 with ubuntu Lucid.

Jason Chhangur (jasonchhangur) wrote :

same bug macbook 3.1 maverick ...kernel 2.6.35-23-generic

randomly works no reboot necessary to change functioning state.

Pedro Ângelo (pangelo) wrote :

I have a similar bug on Maverick on a 5,1 Macbook Pro

Up until a couple of days ago the camera would work most of the time, but now it's completely unrecognized by the system (the i.e. /dev/video0 device is never created) although it works perfectly on OSX.

Firmware loading doesn't seem to be the issue because according to my research the camera's USB ID of 05ac:8507 would only appear after the firmware was loaded.

Doing

sudo modprobe uvcvideo trace=15

spits out lots of debugging info, but it all looks OK except for this bit:

uvcvideo: Scanning UVC chain: OT 2
uvcvideo: Found reference to unknown entity 170.
uvcvideo: No valid video chain found.

I looked around the driver source code for the error but couldn't find out why it's erroring out.

So, pretty annoying that the camera's not working, because it worked flawlessly on karmic. Just let me know how I could help out getting to the bottom of this.

Federico M. Peretti (fperetti) wrote :

Same problem, Macbook 5,1 with Ubuntu Natty.
Kernel 2.6.38-8-generic

tr33m4n (tr33m4n) wrote :

Also the same problem, MacBook 1.1 using Natty, all updates installed

tags: removed: regression-potential
Denis Moroz (dis-frost) wrote :

The same problem for me MacBook Pro 5.4 Natty.

Broken for me too in Natty. MacBook Pro 5,4. Used to work in prior releases, but was very flaky.

"""
$ sudo dmidecode -s system-product-name
MacBookPro5,4
$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 11.04
Release: 11.04
Codename: natty

"""

Changed in linux (Fedora):
status: New → Confirmed
status: Confirmed → Opinion

I just upgraded to the latest -testing / -proposed repository packages and it appears the new kernel supports the webcam again! Check it out and try if you are having trouble. Report your status here...

"""
$ uname -a
Linux ubuntu-macbook 2.6.38-11-generic #47-Ubuntu SMP Fri Jul 15 19:27:09 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
"""

Also, I purged the isight-firmware-tools package, since it should not be needed due to native kernel support.

cheese is still not working on

$ sudo dmidecode -s system-product-name
MacBook3,1

$ uname -a
Linux mac1 2.6.38-11-generic #47-Ubuntu SMP Fri Jul 15 19:27:09 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

$ lsb_release -a
LSB Version: core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch:cxx-3.0-amd64:cxx-3.0-noarch:cxx-3.1-amd64:cxx-3.1-noarch:cxx-3.2-amd64:cxx-3.2-noarch:cxx-4.0-amd64:cxx-4.0-noarch:desktop-3.1-amd64:desktop-3.1-noarch:desktop-3.2-amd64:desktop-3.2-noarch:desktop-4.0-amd64:desktop-4.0-noarch:graphics-2.0-amd64:graphics-2.0-noarch:graphics-3.0-amd64:graphics-3.0-noarch:graphics-3.1-amd64:graphics-3.1-noarch:graphics-3.2-amd64:graphics-3.2-noarch:graphics-4.0-amd64:graphics-4.0-noarch:languages-3.2-amd64:languages-3.2-noarch:languages-4.0-amd64:languages-4.0-noarch:multimedia-3.2-amd64:multimedia-3.2-noarch:multimedia-4.0-amd64:multimedia-4.0-noarch:printing-3.2-amd64:printing-3.2-noarch:printing-4.0-amd64:printing-4.0-noarch:qt4-3.1-amd64:qt4-3.1-noarch
Distributor ID: Ubuntu
Description: Ubuntu 11.04
Release: 11.04
Codename: natty

Shiva (gs-a-bits) wrote :

I upgraded to testing/proposed repo. Still isight does not work.

The device file /dev/video0 gets created randomly and when it gets created, isight works.

Regards,

Shiva

I am experiencing this issue too:

$ sudo dmidecode -s system-product-name
MacBookPro5,2

$ lsb_release -r
Release: 11.04

I have tried everything previously discussed in the comments. The only thing that works reliably is making sure that I boot OS X and then restart to Linux.

Same problem on a MacBook 4.1

Colin Jones (trptcolin) wrote :

Same problem here; been battling it for days. Might have randomness elements to it?

Cerin (chrisspen) wrote :

Same problem here. iSight is almost always broken after suspend. I have to do a fresh reboot to get basic functionality back.

$ sudo dmidecode -s system-product-name
MacBookPro5,5
$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 10.04.3 LTS
Release: 10.04
Codename: lucid
$ uname -r
2.6.32-020632-generic

Cerin (chrisspen) wrote :

Just upgraded to 11.10 last weekend. The problem persists.

After a reboot or suspend, the device /dev/video0 may or may not exist.

Cerin (chrisspen) wrote :

Cobbling together a few guides and bug reports I found elsewhere, here's how I resolved this on my Macbook Pro 5,5 running Ubuntu 11.10.

1. Download AppleUSBVideoSupport driver file (e.g. dl.getdropbox.com/u/332246/AppleUSBVideoSupport) and place at ~/Desktop

2. sudo apt-get install isight-firmware-tools
Skip the prompt to immediately load the driver file.

3. cd ~/Desktop; sudo cp AppleUSBVideoSupport /lib/firmware/

4. sudo ift-extract -a /lib/firmware/AppleUSBVideoSupport

5. sudo nano /etc/default/acpi-support
Find MODULES and make it MODULES="isight_usb".

6. lsusb | grep -Po '(?<=:)(\d+)(?=.*iSight)'
This outputs the product ID of your specific iSight USB device. Remember this number. Mine is 8507. The default Ubuntu driver seems to be hardcoded for 8300, which is a problem.

7. sudo nano /etc/udev/rules.d/isight.rules
Add (and be sure to replace the "8507" with your product ID.):
ACTION=="add", SYSFS{idVendor}=="05ac", SYSFS{idProduct}=="8507", RUN+="/usr/lib/udev/ift-load --firmware /lib/firmware/isight.fw"

8. Shutdown/poweroff (not reboot or restart).

9. Reboot.

10. sudo apt-get install cheese; cheese

http://ubuntuforums.org/showthread.php?t=1259166
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/544469
http://ubuntuforums.org/showthread.php?t=1472809&page=3

Cerin (chrisspen) wrote :

I'm sad to report that my instructions do not permanently fix the problem. For the first couple weeks, it seemed to work flawlessly for me, but after some recent updates, suspending my laptop again apparently breaks my iSight.

The good news is that at least /dev/video0 is always being creating after a reboot, whereas before that wasn't the case. So Cheese doesn't report "No video device". Now it just shows a single white pixel, and never seems to activate the webcam.

Tomodachi (tomodachi) wrote :

I have the same bug on a 15" Macbook Pro 8.2.

lsusb |grep iSight
Bus 001 Device 003: ID 05ac:8507 Apple, Inc. Built-in iSight

Linux xerxes 3.6.0-030600rc4-generic #201209011435 SMP Sat Sep 1 18:36:00 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Even checked out the iSight firmware tools and changed the hardcoded vendor id to match. But im still unable to load the firmware.

Changed in linux (Ubuntu):
status: Triaged → Confirmed
tags: added: regression-release
affects: linux (Fedora) → bluez (Ubuntu)
Changed in bluez (Ubuntu):
status: Opinion → New
no longer affects: bluez (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

affects: linux (CentOS) → bluez (Ubuntu)
Changed in bluez (Ubuntu):
status: New → Confirmed

Antons Rebguns, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested and remove the tag:
needs-upstream-testing

This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the text:
needs-upstream-testing

If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Please let us know your results. Thank you for your understanding.

no longer affects: bluez (Ubuntu)
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
wvengen (wvengen) wrote :

This is still very much an issue for me, but not always; after a cold boot it works but after a number of suspend/resume cycles or longer uptime not anymore. MacBookPro5,5 with iSight usb id 05ac:8507 running Ubuntu 12.04.1 (Precise) and Linux 3.2.0-33-lowlatency. When trying Linux 3.7-rc8 my keyboard and mouse wouldn't work anymore, so I could not test this.

tags: added: kernel-unable-to-test-upstream-3.7-rc8
tags: added: kernel-unable-to-test-upstream

wvengen, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

tags: removed: kernel-unable-to-test-upstream kernel-unable-to-test-upstream-3.7-rc8
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
wvengen (wvengen) wrote :

submitted #1233260

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers